<span *ngIf="postsr.length==0">No Details available!</span>

<div *ngIf="postsr.length!=0">

    <table style="font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;">
        <tr style=" background-color: #dddddd;">
            <th style="    border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;">Created on</th>
            <th style="    border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;">Address</th>
             <th style="    border: 1px solid #dddddd;
             text-align: left;
             padding: 8px;">Start time</th>
        
          <th style="    border: 1px solid #dddddd;
             text-align: left;
             padding: 8px;">End time</th>
             <th style="    border: 1px solid #dddddd;
             text-align: left;
             padding: 8px;">Notification time</th>
             <th style="    border: 1px solid #dddddd;
             text-align: left;
             padding: 8px;">Buffer time</th>
          </tr>
          <tr *ngFor="let dealer of postsr">
      
            <td style="    border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;">{{dealer.created_on}}</td>
            <td style="    border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;">{{dealer.address}}</td>
            <td style="    border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;">{{dealer.start_time}}</td>
             <td style="    border: 1px solid #dddddd;
             text-align: left;
             padding: 8px;">{{dealer.end_time}}</td>
             <td style="    border: 1px solid #dddddd;
             text-align: left;
             padding: 8px;">{{dealer.notification_time}}</td>
              <td style="    border: 1px solid #dddddd;
              text-align: left;
              padding: 8px;">{{dealer.buffer_time}}</td>
          </tr>
         
          
    </table>

</div>
<div mat-dialog-actions>
    <button mat-button (click)="onNoClick()" >Ok</button>
    <!-- <button mat-button (click)="ondelete(data)" [mat-dialog-close]="data" cdkFocusInitial>Yes</button> -->
  </div>
